<?php
namespace Mirasvit\Seo\Console\Command\TrailingSlashCommand;

/**
 * Interceptor class for @see \Mirasvit\Seo\Console\Command\TrailingSlashCommand
 */
class Interceptor extends \Mirasvit\Seo\Console\Command\TrailingSlashCommand implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Seo\Service\TrailingSlashService $trailingSlashService, \Magento\Store\Model\StoreManagerInterface $storeManager)
    {
        $this->___init();
        parent::__construct($trailingSlashService, $storeManager);
    }

    /**
     * {@inheritdoc}
     */
    public function run(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output) : int
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'run');
        return $pluginInfo ? $this->___callPlugins('run', func_get_args(), $pluginInfo) : parent::run($input, $output);
    }
}
